#
# spec file for package python-django-seed
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-django-seed
Version:        0.2.2
Release:        bp156.3.2
Summary:        Django project fake data seeder
License:        MIT
URL:            https://github.com/brobin/django-seed
Source:         https://files.pythonhosted.org/packages/source/d/django-seed/django-seed-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-Django >= 1.11
Requires:       python-Faker >= 0.7.7
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module Django >= 1.11}
BuildRequires:  %{python_module Faker >= 0.7.7}
BuildRequires:  %{python_module coverage}
BuildRequires:  %{python_module django-nose}
# /SECTION
%python_subpackages

%description
A module to seed Django projects with fake data.

%prep
%setup -q -n django-seed-%{version}
sed -i 's/fake-factory/Faker/' setup.py

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_exec setup.py test

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Feb 20 2020 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.2.2:
  * Fix user-specified locale not being used
  * Pep8 cleanup
  * UUID primary key support
  * More verbose logging in seed command
  * fix for faker seed_instance
  * Django 2.2, 3.0 added to build matrix
  * Python 3.6, 3.7, 3.8 added to build matrix
* Tue Mar 26 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Thu Feb 21 2019 John Vandenberg <jayvdb@gmail.com>
- Initial spec for v0.1.9
